Bug 1260914 - [ALL_LANG] Unlocalized sub-munus 'Apps' or 'Data Sets' in Extensions menu bar.
[ALL_LANG] Unlocalized sub-munus 'Apps' or 'Data Sets' in Extensions menu bar.
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity medium
: DR2
: 6.3.0
Assigned To: Eder Ignatowicz
Pavel Kralik
: Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 04:32 EDT by Pavel Kralik
Modified: 2016-03-11 12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Localization probles ja_JP (121.86 KB, image/png)
2015-09-08 04:32 EDT, Pavel Kralik
no flags Details
Localization probles zh_CN (167.48 KB, image/png)
2015-09-08 04:40 EDT, Pavel Kralik
no flags Details
Localization problem fr_FR (116.06 KB, image/png)
2015-09-08 04:40 EDT, Pavel Kralik
no flags Details
Data set management (64.70 KB, image/png)
2016-03-11 12:01 EST, Pavel Kralik
no flags Details
User and group menu (63.74 KB, image/png)
2016-03-11 12:02 EST, Pavel Kralik
no flags Details
Plugin management (35.27 KB, image/png)
2016-03-11 12:03 EST, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-09-08 04:32:02 EDT
Created attachment 1071232 [details]
Localization probles ja_JP

Description of problem:
Choose for example the Japan locale and login to BC. Check the subtabs too, eg. Extensions/Datasets. 

See attached screenshot for the Japanese locale.

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER1

How reproducible:
Always

Steps to Reproduce:
1. Type http://localhost:8080/business-central/kie-wb.html?locale=ja_JP
2. See unlocalized Welcome page
3. See unlocalized subtab Extensions/Datasets
4. See unlocalized title "Reset all Perspective Layouts"

Actual results:
Unlocalized parts of the Welcome page

Expected results:
Proper localization

Additional info:
Comment 2 Pavel Kralik 2015-09-08 04:40:08 EDT
Created attachment 1071239 [details]
Localization probles zh_CN
Comment 3 Pavel Kralik 2015-09-08 04:40:53 EDT
Created attachment 1071240 [details]
Localization problem  fr_FR
Comment 4 Angela Garcia 2015-11-18 17:20:33 EST
This has now been reported to the QA Team (lijli@redhat.com) as part of the QA event that just took place. They should be looking into it for this or next release.
Comment 5 Satyabrata Maitra 2015-11-18 23:58:54 EST
It is a Translation bug. Removed the keyword i18n.
Comment 6 Eder Ignatowicz 2016-02-10 11:20:27 EST
Both Apps and Dataset i18n is there (https://github.com/droolsjbpm/kie-wb-distributions/blob/master/kie-wb/kie-wb-webapp/src/main/resources/org/kie/workbench/client/resources/i18n/AppConstants.properties#L49)

But there is some missing translations for "Data Sets".
Comment 7 Pavel Kralik 2016-03-11 12:00:52 EST
BPMS 6.3.0.DR2

Some menu and perspectives are not translated.

Data Sets, User and Group management, Plugin management.

See attached screenshots.
Comment 8 Pavel Kralik 2016-03-11 12:01 EST
Created attachment 1135314 [details]
Data set management
Comment 9 Pavel Kralik 2016-03-11 12:02 EST
Created attachment 1135315 [details]
User and group menu
Comment 10 Pavel Kralik 2016-03-11 12:03 EST
Created attachment 1135316 [details]
Plugin management

Note You need to log in before you can comment on or make changes to this bug.